USN-1430-4: AppArmor update

Ubuntu Security Notice USN-1430-4

12th June, 2012

apparmor update

A security issue affects these releases of Ubuntu and its derivatives:

  • Ubuntu 12.04 LTS
  • Ubuntu 11.10
  • Ubuntu 11.04
  • Ubuntu 10.04 LTS

Summary

This update provides updates for the AppArmor profile abstractions.

Software description

  • apparmor - Linux security system

Details

USN-1430-1 fixed vulnerabilities in Firefox and USN-1430-3 fixed
vulnerabilities in Thunderbird. This update provides an AppArmor package
with updated abstractions for use with the latest Firefox and Thunderbird.

Update instructions

The problem can be corrected by updating your system to the following package version:

Ubuntu 12.04 LTS:
apparmor 2.7.102-0ubuntu3.1
Ubuntu 11.10:
apparmor 2.7.0~beta1+bzr1774-1ubuntu2.1
Ubuntu 11.04:
apparmor 2.6.1-0ubuntu3.1
Ubuntu 10.04 LTS:
apparmor 2.5.1-0ubuntu0.10.04.4

To update your system, please follow these instructions: https://wiki.ubuntu.com/Security/Upgrades.

In general, a standard system update will make all the necessary changes.

References

LP: 989184, LP: 990931, http://www.ubuntu.com/usn/usn-1430-3